{ config, lib, ... }:
{
  programs.ssh = {
    enable = true;
    addKeysToAgent = "yes";
    compression = true;
    matchBlocks = {
      # Personal servers
      tower.hostname = "577:84d1:b682:9ac3:b987:b78e:33d9:2060";
      midas.hostname = "538:e163:87ba:f847:3646:18b6:6b01:d8f8";
      kitty.hostname = "2607:fea8:431d:cba5:37b6:92f8:5be:7c56";
      prophet.hostname = "42f:2737:2aed:4dee:cbe4:3c73:1918:ad9b";

      # Misc
      seneca = {
        hostname = "matrix.senecapolytechnic.ca";
        user = "jhampton1";
      };
    };
  };
}
